Subject: [PATCH v3 00/23] Add multi-channel support to Armada thermal driver

From: [email-masked] (Miquel Raynal)
Date: Fri, 27 Jul 2018 00:59:28 +0200

Hi Eduardo,

Eduardo Valentin <[email-masked]> wrote on Thu, 26 Jul 2018
15:14:24 -0700:

> On Thu, Jul 26, 2018 at 02:35:18PM -0700, Eduardo Valentin wrote:
> > On Thu, Jul 26, 2018 at 02:14:43PM -0700, Eduardo Valentin wrote:  
> > > Hello,
> > > 
> > > On Thu, Jul 26, 2018 at 10:00:41AM +0800, Zhang Rui wrote:  
> > > > On ?, 2018-07-25 at 09:52 +0200, Miquel Raynal wrote:  
> > > > > Hi Eduardo, Zhang,
> > > > > 
> > > > > Miquel Raynal <[email-masked]> wrote on Wed, 18 Jul 2018
> > > > > 17:28:49 +0200:
> > > > >   
> > > > > > 
> > > > > > Hi Eduardo,
> > > > > > 
> > > > > > Miquel Raynal <[email-masked]> wrote on Mon, 16 Jul 2018
> > > > > > 16:41:43 +0200:
> > > > > >   
> > > > > > > 
> > > > > > > The only capability of the Armada thermal driver is currently
> > > > > > > just to
> > > > > > > read one sensor (the default one) per AP and one per CP.
> > > > > > > Actually,
> > > > > > > there is one sensor per core in the AP806 plus one sensor in the
> > > > > > > thermal IP itself. The CP110 just features one thermal sensor in
> > > > > > > its
> > > > > > > own thermal IP.
> > > > > > > 
> > > > > > > This series first improves the readability of this driver, then
> > > > > > > adds
> > > > > > > support for multi-channel thermal IPs. The bindings and the
> > > > > > > device-trees are updated accordingly.
> > > > > > > 
> > > > > > > Thank you,
> > > > > > > Miqu?l??  
> > > > > > I know I sent this series on monday but there was almost no change
> > > > > > on
> > > > > > it (see below), do you think you will have the time to look at it
> > > > > > before it's too late for the merge window?  
> > > > > I know a little bit what it is to be on the maintainer side of a
> > > > > subsystem but these changes are laying since April, 21st and I really
> > > > > expect to get them merged. Zhang, as Eduardo seems to be overloaded
> > > > > this release, could you please take the series?
> > > > > 
> > > > > Of course if there are things to address I'll be happy to do so.
> > > > >   
> > > > I had a sync with Eduardo during last merge window, and we agreed to
> > > > send separate git pull requests to Linus since this release and see how
> > > > it works.
> > > > This means that all the soc thermal driver patches should go to
> > > > Eduardo' tree and then Linus' tree directly.
> > > > 
> > > > Anyway, let's ping Eduardo and see if he can review/take the patches.  
> > > 
> > > Sorry fellows, but I was off camping in a place with no electricity/no
> > > internet. I looked at this series before, and I do not remember anything
> > > that could block it to go. Let me restart on working on it.  

No problem.

> > 
> > Let me take that back. I got some compilation error.  
> 
> 
> Given that I let this one fall into the cracks and that these are minor
> issues, I fixed them manually, and applied up to patch 19. But next at
> least compile test your series and run checkpatch on them.

I was really surprised of your remark but indeed there was a build
issue in the middle of the series that I did not see because I always
test with a last patch fixing it (this patch adds interrupt support, I
plan to send it for the next release). I'm very sorry for this
mistake, thanks for fixing it by yourself.

> 
> Patches 20-23 need to go via your arch tree.

Sure, they will enter in the next release now.

Thanks,
Miqu?l